body {
    background-color: lightgray;
}

#header{
    background-color: rgba(114, 142, 168, 1);
    display: grid;
    grid-template-columns: 0 3fr 1fr 3fr;
    grid-template-rows: 1fr;
    height: 62px;
    grid-template-areas:
            "placeholder intervalFrame logoFrame userFrame";
}

#placeholder {
    grid-area: placeholder;
}
#intervalFrame{
    grid-area: intervalFrame;
    margin-left: 60px;
}
#logoFrame{
    grid-area: logoFrame;
    width: 100%;
}

#userFrame{
    grid-area: userFrame;
    padding-left: 0;
    padding-right: 0;
    justify-content: center;
}
#logoutFrame{
    grid-area: logoutFrame;
    justify-content: center;
}

#navButton{
    border: 1px solid rgba(50,50,50,1);
    box-shadow: -1px 1px 2px #333 ;
    border-radius: 4px;
}
#intervalForm select{border-radius: 0.33rem}

.listHeadline{
    background-color: rgba(220, 220, 220, 1);
    box-shadow: 1px 1px 2px #333333, -1px 1px 2px #333333 ;
    border-radius: 8px 8px 0 0;
    color: rgba(225,225,225, 0.8);
    font-size: 1.5rem;
    position: sticky;
    top: 61px;
    z-index: 9;
}
.subListHeadline{
    background-color: rgba(246, 246, 246, .8);
    box-shadow: 1px 1px 2px #333333, -1px 1px 2px #333333;
    border-radius: 4px 4px 0 0;
    color: rgba(225,225,225, 0.7);
    font-size: 1rem;
    padding-top: 0.25rem ;
    z-index: 400;
}
.subListDataFrame{
    border-color: rgba(100, 100, 100, 1);;
    border-width: 0 2px 0 2px;
    border-style: solid;
    box-shadow: 1px 0 2px #333333, -1px 0 2px #333333;
}
.row.subBottomLine{
    background-color: rgba(100, 100, 100, 1);
    box-shadow: 1px 1px 2px #333333, -1px 1px 2px #333333 ;
    color: rgba(225,225,225, 1);
}
.row.headline{
    background-color: rgba(50, 50, 50, 1);
    box-shadow: 1px 1px 2px #333333, -1px 1px 2px #333333 ;
    color: rgba(225,225,225, 1);
    position: sticky;
    top: 101px;
    z-index: 9;
}
.row.headline.light{
    background-color: rgba(150, 150, 150, 1);
    color: rgba(225,225,225, 1);
}
.row.bottomLine{
    background-color: rgba(100, 100, 100, 1);
    box-shadow: 1px 1px 2px #333333, -1px 1px 2px #333333 ;
    color: rgba(225,225,225, 1);
    position: fixed;
    bottom: 1px;
    min-width: 98%;
}
.sf-toolbar .row.bottomLine{
    bottom: 36px;
}

.button-secondary.position-absolute{margin-top: 3px}

.editable input{padding: 0 2px; width: 100%}

.list .entityRow:nth-child(even) {
    background: rgba(225, 225, 225, 0.9);
}


.navbar-light .navbar-toggler-icon {
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3E%3Cpath stroke='rgba(0, 0, 0, 0.55)' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E")
}

.btn-toggle:before {
    content: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16'%3E%3Cpath fill='none' stroke='rgba(0,0,0,.5)' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m5 14 6-6-6-6'/%3E%3C/svg%3E");
    display: inline-block;
    line-height: 0;
    transform-origin: .5em 50%;
    transition: transform .35s ease;
    width: 1.25em;
}
.navbar-light .collapse{
    padding-left: 2.5rem !important;
}

#content{padding-top: 64px;}

#searchBox{top: 0; left: 55px;}
#delSearch{top: 10px; right: 6px;}

.login-card{max-width: 420px;}
.logoFrame{
    overflow: hidden;
}
.logoFrame img{
    width: 100%;
}

#pageLogo{
    clip-path: ellipse(66px 43px);
    height: 60px;
    width: 218px;
}

#loginLogo{
    clip-path: ellipse(170px 76px);
    width: 400px;
}
#entityForm .container-fluid{
    background-color: rgba(200,200,200,0.2);
    border: 2px solid rgba(100,100,100,0.5);
    border-radius: 6px;
    box-shadow: 2px 2px 5px rgba(200,200,200,1);
}

#horseList{margin-bottom: 35px;}
#horseList .entityRow{box-shadow: 2px 2px 5px rgba(200,200,200,1);}
.horseInOutFormFrame .container-fluid{
    margin-top: 15px;
    border: 2px outset rgba(100,100,100,1);
    border-radius: 6px;
    box-shadow: 3px 3px 5px rgba(100,100,100, 0.8);
}
.horseInOutFormFrame button,
.horseInOutFormFrame select,
.horseInOutFormFrame input{
    padding: 3px 10px !important;
    font-size: 0.9rem;
}

#invoiceList,
#horseInTrainingList{margin-bottom: 35px;}
#horseInTrainingList .even{background-color: rgba(100,100,100, .15);}
#horseInTrainingList .lastHorse{box-shadow: 0 2px 2px rgba(100, 100, 100, 0.8);}

#ownerExpensesList .row.even{background-color: rgba(100,100,100, .15);}
#ownerExpensesList .row{
    box-shadow: 0 2px 2px rgba(100, 100, 100, 0.8);
}

#home .row .menuItem{
    background-color: rgb(200,200,200, 0.5);
    border: 2px solid rgb(200,200,200, 0.8);
    border-radius: 50%;
    box-shadow: 2px 6px 7px rgba(50, 50, 50, 0.6);
    font-size: 1.5rem;
    margin-top: 4vh !important;
    min-height: 10vh;
}

#home .row .menuItem a{
    color: rgba(114, 142, 168, 1);
    text-decoration: none;
}

#home .row .menuItem:hover{
    background-color: rgb(150,150,150, 0.5);
    border: 2px solid rgb(150,150,150, 0.6);
}

.circleLetterIcon{
    align-items: center;
    background-color: rgb(200, 200, 200);
    border-radius: 50%;
    cursor: pointer;
    display: inline-flex;
    font-weight: bold;
    justify-content: center;
    padding: 0 6px;
}
.circleLetterIcon:hover{
    background-color: rgba(114,142,168 , 0.5);
}

.row.raceDay{
    border-color: rgba(100, 100, 100, 0.8);
    border-width: 1px;
    border-style: solid;
    cursor: pointer;
}
.row.raceDay:nth-child(even) {
    background: rgba(230, 230, 230, 0.25);
}

.addStarter{
    top: -11px;
}

.startFormFrame form .form-control,
.startFormFrame form .form-select{
    font-size: 0.9rem !important;
}
#sendAllByMail,
#finalizeInvoices{
    box-shadow: 1px 1px 2px #666;
    top: 5px;
    right: 148px;
}

#calculationOfDailyRate{
    box-shadow: 1px 1px 2px #666;
    top: 5px;
    right: 4px;
}
#dailyRateFrame{
    background-color: rgba(250,250,250, 1);
    border-radius: 4px;
}

.fullMonth{color: rgba(0, 0, 175, 1);}
.inMonth{color: rgba(0, 100, 0, 1);}
.outMonth{color: rgba(175, 0, 0, 1);}

.tooltip-inner{
    /*width: 350px !important;*/
    --bs-tooltip-max-width: 400px;
    --bs-tooltip-bg: rgba(175, 175, 175, 1) !important;
    box-shadow: 1px 1px 2px #333;
}

.row.invoice:hover{
    background-color: rgba(150, 255, 150, 0.4);
}



@media screen and (max-width: 700px){

    #header{
        grid-template-areas:
            "placeholder  logoFrame logoutFrame"
            "intervalFrame  intervalFrame userFrame";
        grid-template-columns: 2fr 1fr 2fr;
        grid-template-rows: 2fr 1fr;
        height: 93px;
    }
    #header a {font-size: 0.8rem;}
    #userFrame a{ padding-left: 0.2rem; padding-right: 0.2rem;}
    #userFrame{justify-self: center;}
    #logoFrame{justify-self: center;}

    #pageLogo{
        clip-path: ellipse(54px 36px);
        height: 50px;
        width: 170px;
    }

    #loginLogo{
        clip-path: ellipse(154px 64px);
        width: 312px;
    }
    #offcanvasNavbar{
        width: 50% !important;
    }
    #navButton{
        padding: 0.25rem !important;
    }
    .navbar-toggler-icon{
        width: 1rem !important;
        height: 1rem !important;
    }
    #content{padding-top: 94px;}

}





